### Constructor

# GtkSource FileSaver new

#### Declaration [src]

    GtkSourceFileSaver*
    gtk_source_file_saver_new (
      GtkSourceBuffer* buffer,
      GtkSourceFile* file
    )

#### Description [src]

Creates a new `GtkSourceFileSaver` object. The `buffer` will be saved to the `GtkSourceFile`‘s location.

This constructor is suitable for a simple “save” operation, when the `file` already contains a non-`NULL` `GtkSourceFile:location`.

#### Parameters

`buffer`

  Type: `GtkSourceBuffer`

  The `GtkSourceBuffer` to save.

  The data is owned by the caller of the function.

`file`

  Type: `GtkSourceFile`

  The `GtkSourceFile`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkSourceFileSaver`

A new `GtkSourceFileSaver` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.